Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas
Class ServerConstants.Logging

    java.lang.Object
      org.wso2.wsas.ServerConstants.Logging

Enclosing class:
  ServerConstants

    public static class ServerConstants.Logging

extends java.lang.Object

Field Summary
`static java.lang.String` | `LOG_CONSOLE_PATTERN`
`static java.lang.String` | `LOG_FILE_PATTERN`
`static java.lang.String` | `LOG_MEMORY_PATTERN`
`static java.lang.String` | `MEMORY_APPENDER`
`static int` | `MEMORY_APPENDER_BUFFER_SZ`
`static java.lang.String` | `SYSTEM_LOG_IS_LOADED`
`static java.lang.String` | `SYSTEM_LOG_LEVEL`
`static java.lang.String` | `SYSTEM_LOG_PATTERN`
`static java.lang.String` | `WSO2WSAS_CONSOLE_APPENDER`
`static java.lang.String` | `WSO2WSAS_FILE_APPENDER`
`static java.lang.String` | `WSO2WSAS_MEMORY_APPENDER`

Constructor Summary
`ServerConstants.Logging()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG_FILE_PATTERN

    public static final java.lang.String LOG_FILE_PATTERN

See Also:
  Constant Field Values

### LOG_CONSOLE_PATTERN

    public static final java.lang.String LOG_CONSOLE_PATTERN

See Also:
  Constant Field Values

### LOG_MEMORY_PATTERN

    public static final java.lang.String LOG_MEMORY_PATTERN

See Also:
  Constant Field Values

### MEMORY_APPENDER

    public static final java.lang.String MEMORY_APPENDER

See Also:
  Constant Field Values

### SYSTEM_LOG_LEVEL

    public static final java.lang.String SYSTEM_LOG_LEVEL

See Also:
  Constant Field Values

### SYSTEM_LOG_PATTERN

    public static final java.lang.String SYSTEM_LOG_PATTERN

See Also:
  Constant Field Values

### SYSTEM_LOG_IS_LOADED

    public static final java.lang.String SYSTEM_LOG_IS_LOADED

See Also:
  Constant Field Values

### WSO2WSAS_CONSOLE_APPENDER

    public static final java.lang.String WSO2WSAS_CONSOLE_APPENDER

See Also:
  Constant Field Values

### WSO2WSAS_FILE_APPENDER

    public static final java.lang.String WSO2WSAS_FILE_APPENDER

See Also:
  Constant Field Values

### WSO2WSAS_MEMORY_APPENDER

    public static final java.lang.String WSO2WSAS_MEMORY_APPENDER

See Also:
  Constant Field Values

### MEMORY_APPENDER_BUFFER_SZ

    public static final int MEMORY_APPENDER_BUFFER_SZ

See Also:
  Constant Field Values

Constructor Detail

### ServerConstants.Logging

    public ServerConstants.Logging()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD